Description

Watching http://www.youtube.com/watch?v=qKesia0aGwE makes me think how sweet it would be if a variant of the Time Manager plugin

was integrated into core. This could then allow us to use the animation time parameter for data defined symbology/labelling expressions.

I'm thinking points which grow/shrink/fade with time, labels which show for a few seconds when a point appears before smoothly fading

away, ...!

For instance, if the animation time was available via a variable such as "$animation_datetime", then an expression for fading a symbol

over a week could be something like:

Color fill expression:

color_rgba(255, 0, 0, scale_linear(day(age($animation_datetime, layer_time_column)) , 0, 7, 255, 0))

Size expression:

scale_linear(day(age($animation_datetime, layer_time_column)) , 0, 7, 30, 0)

Would result in something like:

http://www.youtube.com/watch?v=pM8XbzdlZIg

Even these kind of maps (from 0:22 onward) http://www.youtube.com/watch?v=cUhrEMEQfXw would be possible!

History

#1 - 2014-11-17 06:03 AM - Regis Haubourg

Hi, +1 with that, especially fading option and $animation_datetime, that would help a lot for visual interprétation. 

Cheers

Régis

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-09-22 10:06 AM - Jürgen Fischer

- Category set to Unknown
